Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86601 - CAN-2003-0140 balsa has malicious IMAP server vulnerability
Summary: CAN-2003-0140 balsa has malicious IMAP server vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: balsa
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 09:49 UTC by Mark J. Cox
Modified: 2014-03-17 02:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-22 16:39:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:111 normal SHIPPED_LIVE Important: balsa security update 2003-05-22 04:00:00 UTC

Description Mark J. Cox 2003-03-26 09:49:25 UTC
A potential buffer overflow exists when parsing mailbox names returned by
an IMAP server. It is possible that a hostile IMAP server could cause
arbitrary code to be executed by the user running Balsa.

This is the same as CAN-2003-0140

Comment 1 Mark J. Cox 2003-05-22 16:39:50 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-111.html



Note You need to log in before you can comment on or make changes to this bug.